> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nivara.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversations

# Get Conversations

Retrieves a list of saved conversations for the current user.

## Query Parameters

| Parameter | Type   | Required | Description        |
| --------- | ------ | -------- | ------------------ |
| endpoint  | string | No       | Filter by endpoint |

## Responses

| Status | Description           | Content Type     |
| ------ | --------------------- | ---------------- |
| 200    | List of conversations | application/json |
| 422    | Validation Error      | application/json |


## OpenAPI

````yaml GET /get-conversations
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /get-conversations:
    get:
      summary: Get Conversations
      operationId: get_conversations_get_conversations_get
      parameters:
        - name: endpoint
          in: query
          required: false
          schema:
            type: string
            title: Endpoint
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````